Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Ikumi Keita <[email-masked]>
Date: Wed, 05 Jun 2024 14:15:10 +0900

Hi Robert and Paul,

>>>>> Paul Nelson <[email-masked]> writes:
>> Functionally, version 14.0.5 has at least one shortcoming that makes it
>> unusable for me: invoking org-edit-special from an org-mode latex src block
>> opens a buffer in latex-mode (not LaTeX-mode). This is a change from
>> version 13.3.

> In case it's of any help, I've been using (add-hook 'latex-mode-hook
> #'LaTeX-mode) as a workaround for the source block issue that you
> mention

I'm afraid that isn't a suuposed way to call a major function in emacs.
The doc string of `org-edit-special' says:
,----
| The LaTeX environment is copied into a new buffer.  Major mode is
| set to the one associated to "latex" in ‘org-src-lang-modes’,
| or to ‘latex-mode’ if there is none.
`----
Thus I expect
(with-eval-after-load 'org-src
  (push '("latex" . LaTeX) org-src-lang-modes))
in your init file does the job. (Maybe you have also to put
  (setcdr (assoc "beamer" org-src-lang-modes) 'LaTeX)
in the `with-eval-after-load' form if you have beamer src block in your
org file.)

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW